POST Publish a product offer
POST /publishProductOffer
Security: basic.
Publishes the processing request for a product, which is triggered from the Salesforce product page.
Request body
Media type: application/json. Schema: Offer.
Example
{
"productNumber": "19Aug-ParentProduct-01 updated",
"name": "19Aug-ParentProduct-01 updated",
"lifecycleStatus": "Active",
"lastUpdate": "2023-01-10T14:03:27.000+0000",
"isSellable": true,
"isBundle": false,
"id": "1be8a7d6-287e-b8ea-a6f3-e05b909d4357",
"href": "/services/apexrest/vlocity_cmt/tmforum/productopenapi/v1/productOffering/01t4x000004EpeQAAS",
"description": "description updated 123",
"validFor": {
"startDateTime": "2020-08-24T00:00:00.000+0000",
"endDateTime": "2024-03-25T00:00:00.000+0000"
},
"prodSpecCharValueUse": [
{
"productSpecCharacteristicValue": [
{
"valueType": "Text"
}
],
"valueType": "Text",
"name": "CLONED_01t4x000004EpeQAAS_Rohit Attribute Text",
"displayName": "Rohit Attribute Text",
"description": "Rohit Attribute Text : ",
"configurable": false
}
],
"productOfferingPrice": [
{
"validFor": {
"startDateTime": "2022-08-18T07:00:00.000+0000"
},
"name": "a3B4x00000056ic",
"isBundle": false,
"href": "/services/data/v48.0/sobjects/vlocity_cmt__PriceListEntry__c/a3B4x00000056icEAA",
"description": "2",
"price": {
"unit": "USD",
"amount": "2.00000"
},
"unitOfMeasure": "USD",
"priceType": "One-time"
}
],
"bundledProductOffering": [
{
"bundledProdOfferOption": {
"numberRelOfferUpperLimit": 99999,
"numberRelOfferLowerLimit": 0,
"numberRelOfferDefault": 1
},
"lifecycleStatus": "Inactive",
"href": "/services/apexrest/vlocity_cmt/tmforum/productopenapi/v1/productOffering/01t4x000004EpeGAAS",
"name": "19Aug-RootProduct-01",
"id": "f218d7f5-27fb-4ad0-aee6-c67ee730f05b"
}
],
"category": [{
"name": "SD WAN",
"id": "69340180-8367-993e-802a-856845f635ad"
}],
"attachment": [
{
"url": "/servlet/servlet.FileDownload?file=0154x000000qUGEAA2",
"name": "image 511",
"id": "a1gRO0000000MqjYAE",
"href": "/services/data/v48.0/sobjects/vlocity_cmt__VlocityAttachment__c/a1gRO0000000MqjYAE",
"description": "desc 4"
}
],
"targetSystemDetails": [
{
"targetSystemName": "ARIA",
"action": "Create",
"productPublishEventRecordId": "a5nDo000000znkF",
"productRecordId":"01tDo000000iAg6IAE",
"productSpecType": "Offer"
}
]
}
Responses
- 200
Request is successful.
Media type:
application/json. Schema:SuccessMessage.Example
{ "code": "202", "message": "ProductId pushed to queue successfully" } - 400
There was an issue with your request.
Media type:
application/json. Schema:ErrorMessage.Example
code: "400" reason: There was an issue with your request. - 401
Authorization failed.
Media type:
application/json. Schema:ErrorMessage.Example
code: "401" reason: Authorization failed. - 403
Request forbidden.
Media type:
application/json. Schema:ErrorMessage.Example
code: "403" reason: Request forbidden. - 404
Resource not found.
Media type:
application/json. Schema:ErrorMessage.Example
code: "404" reason: Resource not found. - 405
Method not allowed.
Media type:
application/json. Schema:ErrorMessage.Example
code: "405" reason: Method not allowed. - 406
Request not acceptable.
Media type:
application/json. Schema:ErrorMessage.Example
code: "406" reason: Request not acceptable. - 409
Resource conflict.
Media type:
application/json. Schema:ErrorMessage.Example
code: "409" reason: Resource conflict - 500
Unable to complete the request as the server encountered an error.
Media type:
application/json. Schema:ErrorMessage.Example
code: "500" reason: Internal Server Error